Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.input
Class TailerListenerAdapter

    java.lang.Object
      org.apache.commons.io.input.TailerListenerAdapter

All Implemented Interfaces:
  TailerListener

    public class TailerListenerAdapter

extends Object
implements TailerListener

`TailerListener` Adapter.

Since:
  Commons IO 2.0
Version:
  $Id: TailerListenerAdapter.java 1002844 2010-09-29 20:56:23Z niallp $

Constructor Summary
`TailerListenerAdapter()`

Method Summary
`void` | `fileNotFound()` This method is called if the tailed file is not found.
`void` | `fileRotated()` Called if a file rotation is detected.
`void` | `handle(Exception ex)` Handles an Exception .
`void` | `handle(String line)` Handles a line from a Tailer.
`void` | `init(Tailer tailer)` The tailer will call this method during construction, giving the listener a method of stopping the tailer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TailerListenerAdapter

    public TailerListenerAdapter()

Method Detail

### init

    public void init(Tailer tailer)

  The tailer will call this method during construction, giving the listener a method of stopping the tailer.

  Specified by:
    `init` in interface `TailerListener`
  Parameters:
    `tailer` - the tailer.

### fileNotFound

    public void fileNotFound()

  This method is called if the tailed file is not found.

  Specified by:
    `fileNotFound` in interface `TailerListener`

### fileRotated

    public void fileRotated()

  Called if a file rotation is detected. This method is called before the file is reopened, and fileNotFound may be called if the new file has not yet been created.

  Specified by:
    `fileRotated` in interface `TailerListener`

### handle

    public void handle(String line)

  Handles a line from a Tailer.

  Specified by:
    `handle` in interface `TailerListener`
  Parameters:
    `line` - the line.

### handle

    public void handle(Exception ex)

  Handles an Exception .

  Specified by:
    `handle` in interface `TailerListener`
  Parameters:
    `ex` - the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 The Apache Software Foundation. All Rights Reserved.